local _, AddonDB = ...

--<<IMPORTANT STUFF>>-------------------------------------------------------------------------------<<>>

	local Localizations = {}

--<<DEFAULT LOCALIZATION>>--------------------------------------------------------------------------<<>>

	-- This will be used for the enUS and any empty Localization function
	
	local function Default()
		local L = {}

		L.QuestMobs = "Quest Mobs"

		L.TextureVariant = {"Texture Variant", "Change the image used for the quest indicator."}
		L.ScaleOffset = {"Scale Offset", "Change the scale of the quest indicator."}
		L.Alpha = {"Opacity", "How visible the indicator will be."}
		L.NormalQuestcolor = {"Normal Quest Colour", "Change the colour of the normal quest indicator."}
		L.AreaQuestcolor = {"Area Quest Colour", "Change the colour of the area quest indicator."}

		return L
	end

--<<itIT>>------------------------------------------------------------------------------------------<<>>

	function Localizations.itIT()
		return Default()
	end

--<<koKR>>------------------------------------------------------------------------------------------<<>>

	function Localizations.koKR()
		return Default()
	end

--<<ptBR>>------------------------------------------------------------------------------------------<<>>

	function Localizations.ptBR()
		return Default()
	end

--<<ruRU>>------------------------------------------------------------------------------------------<<>>

	function Localizations.ruRU()
		return Default()
	end

--<<zhCN>>------------------------------------------------------------------------------------------<<>>

	function Localizations.zhCN()
		return Default()
	end

--<<zhTW>>------------------------------------------------------------------------------------------<<>>

	function Localizations.zhTW()
		return Default()
	end

--<<deDE>>------------------------------------------------------------------------------------------<<>>

	function Localizations.deDE()
		return Default()
	end

--<<enGB>>------------------------------------------------------------------------------------------<<>>

	function Localizations.enGB()
		return Default()
	end

--<<enUS>>------------------------------------------------------------------------------------------<<>>

	function Localizations.enUS() -- Leave as Default
		return Default()
	end

--<<esES>>------------------------------------------------------------------------------------------<<>>

	function Localizations.esES()
		return Default()
	end

--<<esMX>>------------------------------------------------------------------------------------------<<>>

	function Localizations.esMX()
		return Default()
	end

--<<frFR>>------------------------------------------------------------------------------------------<<>>

	function Localizations.frFR()
		return Default()
	end

--<<GET LOCALIZED TEXT>>------------------------------------------------------------------------------------------<<>>

	function AddonDB.GetLocalizedText(SelectedLanguage)
		return Localizations[SelectedLanguage]()
	end

----------------------------------------------------------------------------------------------------<<END>>